%global momorel 4

Name:           perl-Filter-Template
Version:        1.040
Release:        %{momorel}m%{?dist}
Summary:        Source filter for inline code templates (macros)
License:        Artistic or GPL
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Filter-Template/
Source0:        http://www.cpan.org/authors/id/R/RC/RCAPUTO/Filter-Template-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl-ExtUtils-MakeMaker
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Filter::Template is a Perl source filter that provides simple inline source
code templates. Inlined source code can be significantly faster than
subroutines, especially for small-scale functions like accessors and
mutators. On the other hand, they are more difficult to maintain and use.
Choose your trade-offs wisely.

%prep
%setup -q -n Filter-Template-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc CHANGES
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (1.040-4m)
- full rebuild for mo7 release

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.040-3m)
- rebuild against perl-5.12.1

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.040-2m)
- rebuild against perl-5.12.0

* Tue Mar  9 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.040-1m)
- update to 1.040

* Tue Jan 19 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.03-4m)
- change source download URL from by-module to authors
- www.cpan.org/modules/by-module was not updated

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.03-3m)
- rebuild against gcc-4.4 and glibc-2.11

* Mon Aug 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1.03-2m)
- rebuild against perl-5.10.1

* Tue Aug  4 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1.03-1m)
- update to 1.03

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.02-3m)
- rebuild against rpm-4.6

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.02-2m)
- rebuild against gcc43

* Sun Aug 12 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.02-1m)
- Specfile autogenerated by cpanspec 1.73 for Momonga Linux.
